Bug 177233 - [new port]: audio/lastfm-desktop Official Last.fm desktop application suite
Summary: [new port]: audio/lastfm-desktop Official Last.fm desktop application suite
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-22 14:10 UTC by Veniamin
Modified: 2013-04-20 10:50 UTC (History)
0 users

See Also:


Attachments
file.shar (4.82 KB, text/plain)
2013-03-22 14:10 UTC, Veniamin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Veniamin 2013-03-22 14:10:00 UTC
Enhance your listening experience, stay up-to-date with what your friends are
listening to, view your listening history and share it with friends. The more
Last.fm learns what you like, the better it gets.
Comment 1 Tilman Keskinoz freebsd_committer 2013-03-22 15:30:49 UTC
Isn't this just an update for audio/last.fm ?
Comment 2 Tilman Keskinoz freebsd_committer 2013-03-22 15:45:44 UTC
State Changed
From-To: open->feedback

grab PR 


Comment 3 Tilman Keskinoz freebsd_committer 2013-03-22 15:45:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

grab PR
Comment 4 Veniamin 2013-03-24 13:53:38 UTC
No, this new application.

Additional info:
http://blog.last.fm/2013/01/31/lastfm-desktop-scrobbler-released


On Mar 22, 2013, at 7:30 PM, Tilman Keskin=F6z <arved@freebsd.org> =
wrote:

> Isn't this just an update for audio/last.fm ?
Comment 5 Tilman Keskinoz freebsd_committer 2013-04-19 12:59:56 UTC
State Changed
From-To: feedback->open

it is not an update for my port. 

I currently don't have the resources to commit this one 


Comment 6 Tilman Keskinoz freebsd_committer 2013-04-19 12:59:56 UTC
Responsible Changed
From-To: arved->freebsd-ports-bugs

it is not an update for my port. 

I currently don't have the resources to commit this one
Comment 7 Pawel Pekala freebsd_committer 2013-04-19 19:45:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 8 dfilter service freebsd_committer 2013-04-20 10:46:28 UTC
Author: pawel
Date: Sat Apr 20 09:46:18 2013
New Revision: 316136
URL: http://svnweb.freebsd.org/changeset/ports/316136

Log:
  Enhance your listening experience, stay up-to-date with what your friends are
  listening to, view your listening history and share it with friends. The more
  Last.fm learns what you like, the better it gets.
  
  WWW: http://www.last.fm/download
  
  PR:		ports/177233
  Submitted by:	Gvozdikov Veniamin <g.veniamin@googlemail.com>
  Feature safe:	yes

Added:
  head/audio/lastfm-desktop/
  head/audio/lastfm-desktop/Makefile   (contents, props changed)
  head/audio/lastfm-desktop/distinfo   (contents, props changed)
  head/audio/lastfm-desktop/files/
  head/audio/lastfm-desktop/files/lastfm-desktop.sh.in   (contents, props changed)
  head/audio/lastfm-desktop/files/patch-admin_qmake_3rdparty.pro.inc   (contents, props changed)
  head/audio/lastfm-desktop/files/patch-app_client_MediaDevices_IpodDevice_linux.cpp   (contents, props changed)
  head/audio/lastfm-desktop/pkg-descr   (contents, props changed)
  head/audio/lastfm-desktop/pkg-plist   (contents, props changed)
Modified:
  head/audio/Makefile

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Sat Apr 20 09:41:30 2013	(r316135)
+++ head/audio/Makefile	Sat Apr 20 09:46:18 2013	(r316136)
@@ -351,6 +351,7 @@
     SUBDIR += lash
     SUBDIR += last-cmus
     SUBDIR += last.fm
+    SUBDIR += lastfm-desktop
     SUBDIR += liba52
     SUBDIR += libaacplus
     SUBDIR += libadplug

Added: head/audio/lastfm-desktop/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lastfm-desktop/Makefile	Sat Apr 20 09:46:18 2013	(r316136)
@@ -0,0 +1,40 @@
+# Created by: Gvozdikov Veniamin <g.veniamin@googlemail.com>
+# $FreeBSD$
+
+PORTNAME=	lastfm
+PORTVERSION=	2.1.30
+CATEGORIES=	audio
+MASTER_SITES=	http://cdn.last.fm/client/Linux/
+PKGNAMESUFFIX=	-desktop
+DISTNAME=	Last.fm-${PORTVERSION}
+
+MAINTAINER=	g.veniamin@googlemail.com
+COMMENT=	Official Last.fm desktop application suite
+
+LICENSE=	GPLv3
+
+LIB_DEPENDS=	lastfm:${PORTSDIR}/audio/liblastfm \
+		avcodec1:${PORTSDIR}/multimedia/ffmpeg1 \
+		gpod:${PORTSDIR}/audio/libgpod
+
+USE_BZIP2=	yes
+USE_QT4=	gui linguist_build moc_build network phonon qmake_build \
+		rcc_build uic_build webkit xml
+USE_LDCONFIG=	yes
+LASTFM=		${PORTNAME}${PKGNAMESUFFIX}
+SUB_FILES=	${LASTFM}.sh
+
+WRKSRC=		${WRKDIR}/${PORTNAME}${PKGNAMESUFFIX}-${PORTVERSION}
+
+do-configure:
+	cd ${WRKSRC} && ${QMAKE} ${QMAKEFLAGS}
+
+do-install:
+	${MKDIR} ${DATADIR}
+	${INSTALL_SCRIPT} ${WRKDIR}/${LASTFM}.sh ${PREFIX}/bin/${LASTFM}
+	${INSTALL_PROGRAM} ${WRKSRC}/_bin/Last.fm\ Scrobbler ${DATADIR}/
+	${INSTALL_LIB} ${WRKSRC}/_bin/lib*.so* ${DATADIR}/
+	${INSTALL_DATA} ${WRKSRC}/app/client/Last.fm\ Scrobbler.css \
+		${DATADIR}/
+
+.include <bsd.port.mk>

Added: head/audio/lastfm-desktop/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lastfm-desktop/distinfo	Sat Apr 20 09:46:18 2013	(r316136)
@@ -0,0 +1,2 @@
+SHA256 (Last.fm-2.1.30.tar.bz2) = a8591930af2c76100840fa94082e831d5aeb2893c264528a15ec5151bf0cc2a4
+SIZE (Last.fm-2.1.30.tar.bz2) = 5970748

Added: head/audio/lastfm-desktop/files/lastfm-desktop.sh.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lastfm-desktop/files/lastfm-desktop.sh.in	Sat Apr 20 09:46:18 2013	(r316136)
@@ -0,0 +1,3 @@
+#!/bin/sh
+LASTFM='Last.fm Scrobbler'
+LD_LIBRARY_PATH=%%DATADIR%% %%DATADIR%%/"${LASTFM}"

Added: head/audio/lastfm-desktop/files/patch-admin_qmake_3rdparty.pro.inc
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lastfm-desktop/files/patch-admin_qmake_3rdparty.pro.inc	Sat Apr 20 09:46:18 2013	(r316136)
@@ -0,0 +1,11 @@
+--- admin/qmake/3rdparty.pro.inc.orig	2013-02-04 11:07:09.028832360 +0400
++++ admin/qmake/3rdparty.pro.inc	2013-02-04 11:07:35.513973069 +0400
+@@ -19,7 +19,7 @@
+         LIBS += /usr/local/lib/libswresample.dylib
+     } else {
+         CONFIG += link_pkgconfig
+-        PKGCONFIG += libavformat libavcodec libavutil
++        PKGCONFIG += libavformat1 libavcodec1 libavutil1
+         packagesExist(libswresample) {
+             PKGCONFIG += libswresample
+             DEFINES += HAVE_SWRESAMPLE

Added: head/audio/lastfm-desktop/files/patch-app_client_MediaDevices_IpodDevice_linux.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lastfm-desktop/files/patch-app_client_MediaDevices_IpodDevice_linux.cpp	Sat Apr 20 09:46:18 2013	(r316136)
@@ -0,0 +1,11 @@
+--- app/client/MediaDevices/IpodDevice_linux.cpp.orig	2013-03-20 13:01:09.893307620 +0000
++++ app/client/MediaDevices/IpodDevice_linux.cpp	2013-03-20 13:01:18.972308216 +0000
+@@ -34,7 +34,7 @@
+ extern "C"
+ {
+     #include <gpod/itdb.h>
+-    #include <glib/glist.h>
++    #include <glib.h>
+ }
+ 
+ IpodTracksFetcher::IpodTracksFetcher( Itdb_iTunesDB *itdb, QSqlDatabase scrobblesdb,

Added: head/audio/lastfm-desktop/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lastfm-desktop/pkg-descr	Sat Apr 20 09:46:18 2013	(r316136)
@@ -0,0 +1,5 @@
+Enhance your listening experience, stay up-to-date with what your friends are
+listening to, view your listening history and share it with friends. The more
+Last.fm learns what you like, the better it gets.
+
+WWW: http://www.last.fm/download

Added: head/audio/lastfm-desktop/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lastfm-desktop/pkg-plist	Sat Apr 20 09:46:18 2013	(r316136)
@@ -0,0 +1,16 @@
+bin/lastfm-desktop
+%%DATADIR%%/Last.fm Scrobbler
+%%DATADIR%%/Last.fm Scrobbler.css
+%%DATADIR%%/liblistener.so
+%%DATADIR%%/liblistener.so.1
+%%DATADIR%%/liblistener.so.1.0
+%%DATADIR%%/liblistener.so.1.0.0
+%%DATADIR%%/liblogger.so
+%%DATADIR%%/liblogger.so.1
+%%DATADIR%%/liblogger.so.1.0
+%%DATADIR%%/liblogger.so.1.0.0
+%%DATADIR%%/libunicorn.so
+%%DATADIR%%/libunicorn.so.1
+%%DATADIR%%/libunicorn.so.1.0
+%%DATADIR%%/libunicorn.so.1.0.0
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 9 Pawel Pekala freebsd_committer 2013-04-20 10:46:44 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!